## libgoto-file-perl 0.005

=== debian/changelog ===
libgoto-file-perl (0.005-2) unstable; urgency=medium

  * Team upload.
  * No-change source-only re-upload.

 -- gregor herrmann <gregoa@debian.org>  Tue, 24 Jan 2023 16:59:22 +0100

libgoto-file-perl (0.005-1) unstable; urgency=low

  * Initial release (closes: #1029517).

 -- Mason James <mtj@kohaaloha.com>  Tue, 24 Jan 2023 06:15:50 +1300
