=== debian/control ===
Source: libgoto-file-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Mason James <mtj@kohaaloha.com>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: libfilter-perl <!nocheck>,
                     libtest-simple-perl <!nocheck>,
                     libtest2-suite-perl <!nocheck>,
                     perl
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libgoto-file-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libgoto-file-perl.git
Homepage: https://metacpan.org/release/goto-file
Rules-Requires-Root: no

Package: libgoto-file-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         libfilter-perl
Description: Perl module that allows swapping the currently compiling file for a new one
 goto::file allows Test2::Harness to swap out the main script for the new
 file without adding a stack frame.
 .
 It is rare, but there are times where you want to swap out the currently
 compiling file for a different one. This module does that. From the point
 you 'use' the module perl will be parsing the new file instead of the
 original.
 .
 This module was created specifically for Test2::Harness which can preload
 modules and fork to run each test. The problem was that using 'do' to execute
 the test files post-fork was resuling in extra frames in the stack trace...
 in other words there are a lot of tests that assume the test file is the
 bottom of the stack. This happens all the time, specially if stack traces
 need to be verified.
