=== debian/watch ===
version=4
https://metacpan.org/release/goto-file   .*/goto-file-v?@ANY_VERSION@@ARCHIVE_EXT@$
